Bug Hunting Session
Bug 113026 - EDITING Legend placement dropdown not disabled when showing/hiding legend from main toolbar
Summary: EDITING Legend placement dropdown not disabled when showing/hiding legend fro...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: All All
: medium minor
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-10 02:23 UTC by Emil Tanev
Modified: 2017-10-27 12:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample (31.82 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-10-10 02:23 UTC, Emil Tanev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2017-10-10 02:23:05 UTC
Created attachment 136879 [details]
sample

Open the attached document
Select the legend element
Toggle Show legend/Hide legend from the main toolbar - not the legend placement dropdown in the property panel
Now Show/Hide legend via the checkbox in the property panel Legend placment area

Issue: When using the icon in the main toolbar, the dropdown on the right of the checkbox in the property panel is not disactivated.

Screencast
https://www.screencast.com/t/kUozhNsncLP

Version: 5.4.1.2 (x64)
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU threads: 8; OS: Windows 6.19; UI render: default; 
Locale: ja-JP (ja_JP); Calc: group
Comment 1 Xisco Faulí 2017-10-26 23:42:55 UTC
Gerrit patch: https://gerrit.libreoffice.org/#/c/43924/
Comment 2 Commit Notification 2017-10-27 12:58:12 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aace85877c85935bbe92ecdfc1c27271b89628e5

tdf#113026: disable mpBoxLegend when legend not visible

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.